import request from '@/utils/request'

// 获取门店销售业绩与 预奖励金额（奖励物）
export function getShopSaleList(data) {
  return request({
    url: '/statistical/getstoresalesresultgoods',
    method: 'Get',
    params: data
  })
}

// 获取门店销售业绩与 预奖励金额（奖励钱）
export function getShopSaleListMoney(data) {
  return request({
    url: '/statistical/getstoresalesresultmoney',
    method: 'Get',
    params: data
  })
}

// 结算 钱
export function setAwardMoney(data) {
  return request({
    url: '/reward/uploadagentsalesresultmoney',
    method: 'Post',
    data
  })
}

// 结算 物
export function setAwardGood(data) {
  return request({
    url: '/reward/uploadagentsalesresultgoods',
    method: 'post',
    data
  })
}

// 奖励货是选择商品
export function getRewardGoodList() {
  return request({
    url: '/reward/getrewardgoodslist',
    method: 'Get'
  })
}
